unit PutMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    Timer1: TTimer;
    Edit1: TEdit;
    UpDown1: TUpDown;
    Label1: TLabel;
    Edit2: TEdit;
    UpDown2: TUpDown;
    Label2: TLabel;
    Edit3: TEdit;
    UpDown3: TUpDown;
    Label3: TLabel;
    BitBtn1: TBitBtn;
    procedure Timer1Timer(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses
    Math;

var
    Path: string = '';

procedure PutText(const Path, Text: string);
var
    OutFile: TextFile;
begin
    AssignFile(OutFile, Path);
    try
        if (FileExists(Path)) then Append(OutFile) else Rewrite(OutFile);
        Writeln(OutFile, Text);
    finally
        CloseFile(OutFile);
    end;
end;

function GetRandomText(const Length: integer): string;
begin
    Result := StringOfChar(Chr(RandomRange(Ord('0'), Ord('z'))), Length);
end;

procedure TForm1.Timer1Timer(Sender: TObject);
var
    Str: string;
    i, Count: integer;
begin
    Count := UpDown2.Position;
    Str := GetRandomText(UpDown3.Position);
    for i := 0 to Count - 1 do
    begin
        PutText(Path, FormatDateTime('yyyy/mm/dd hh:nn:ss:zzz', Now()) + '|' + Str);
    end;
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
    if (Timer1.Enabled) then BitBtn1.Caption := 'eLXgo͊Jn'
    else BitBtn1.Caption := 'eLXgo͒~';

    Timer1.Interval := UpDown1.Position;
    Timer1.Enabled := not Timer1.Enabled;
end;

initialization
    Path := ChangeFileExt(ParamStr(0), '.txt');
end.

